vpb-driver (4.2.61.1-1+dde) unstable; urgency=medium

  * add loongarch64 support for build 

 -- Angie.J <doucaixia@uniontech.com>  Thu, 30 Dec 2021 16:06:25 +0800

vpb-driver (4.2.61-1) unstable; urgency=medium

  * Use --sort=name, if available, when creating the kernel source tarball.
    For reproducibility we want the files in it deterministically ordered.

 -- Ron Lee <ron@debian.org>  Thu, 05 Apr 2018 05:06:25 +0930

vpb-driver (4.2.60-1) unstable; urgency=medium

  * Minor tweaks for the linux 4.15 kernel.
  * Replace pow10() with exp10(), they are equivalent, except for the bit where
    exp10 got standardised in TS 18661-4:2015 and glibc 2.27 removed pow10.
    Closes: #890671
  * Pass -pthread using the correct modern idiom when building libtoneg.
    Using -lpthread there is wrong with modern toolchains, and breaks cross
    builds when make expands it to a full path for the build arch. #866720
    Closes: #866720
  * Sanitise the umask and mtime of the kernel source tarball, this should let
    this package be build reproducibly now.

 -- Ron Lee <ron@debian.org>  Mon, 02 Apr 2018 04:46:39 +0930

vpb-driver (4.2.59-2) unstable; urgency=medium

  * Conflict/Replace libvpb0.  Closes: #794587
  * This is really just a kludge-around for the fact that we have unversioned
    files installed in the runtime library package, which ordinarily would be
    a Terribly Wrong thing to do, but this code is stable and had a strong
    guarantee that the ABI was never going to be broken and it would never
    need a transition, so for several reasons that was the least worst option
    for nearly 10 years now.  Until gcc-5 broke that promise on us ...
    In this case, we can probably still quite reasonably get away with just
    forcing the old package off the system when it is upgraded, since there is
    a fairly natural limit to how many applications you can have controlling
    your phone lines on a system, and no real user is likely to actually need
    the old and new packages to be co-installable.  Either they'll update to
    the new one, or they won't.  There's no prolonged transition where things
    they might need could still be using the old one.  It's still technically
    wrong though, so kids don't try this at home, but unless gcc starts to
    make a habit of this, it's probably the least disruptive change we can
    impose on users to cope with that transition, and hopefully something we
    won't need to deal with again for at least another ten years.  If we do,
    then we'll reassess where the pros and cons really lay for making more
    intrusive changes to support things that "should have never happened".

 -- Ron Lee <ron@debian.org>  Thu, 06 Aug 2015 00:20:48 +0930

vpb-driver (4.2.59-1) unstable; urgency=medium

  * Updates for gcc-5.  Closes: #791309
  * It makes some changes to libstdc++ which break ABI for us in a few places,
    mostly in symbols using std::basic_string or std::list, so we're going to
    bump the SONAME for this release, even though there is no incompatible
    change to the libvpb source itself.  In theory we could just rename the
    library package - but that would still leave people with out of distro
    applications screwed if they upgrade to the new package without rebuilding
    their own applications.  This way they'll at least fail loudly and early.

 -- Ron Lee <ron@debian.org>  Tue, 04 Aug 2015 04:19:27 +0930

vpb-driver (4.2.58-1) unstable; urgency=low

  * Backport the tweak to OpenPCI interrupt handling.
  * Don't build with -O3 anymore, most of this code doesn't need it,
    and gcc 4.9 appears to do some fun things if we try.

 -- Ron Lee <ron@debian.org>  Mon, 29 Sep 2014 03:31:52 +0930

vpb-driver (4.2.57-1) unstable; urgency=low

  * Updates for kernel 3.10, Closes: #719136
    Disabling hotplug is no longer an option.
    The proc API has changed, create_proc_{,read_}entry no longer exist.
    The asm/system.h header has been disintegrated.

 -- Ron Lee <ron@debian.org>  Sun, 11 Aug 2013 04:58:07 +0930

vpb-driver (4.2.56-1) unstable; urgency=low

  * Tweak the OpenPCI ring validation parameters.

 -- Ron Lee <ron@debian.org>  Fri, 12 Apr 2013 02:31:20 +0930

vpb-driver (4.2.55-1) unstable; urgency=low

  * Update for gcc-4.7  Closes: #672083

 -- Ron Lee <ron@debian.org>  Wed, 09 May 2012 21:21:30 +0930

vpb-driver (4.2.54-2) unstable; urgency=low

  * Added nl.po, thanks to Jeroen Schot.  Closes: #655458
  * Added pl.po, thanks to Michał Kułach.  Closes: #664244

 -- Ron Lee <ron@debian.org>  Sun, 25 Mar 2012 05:11:58 +1030

vpb-driver (4.2.54-1) unstable; urgency=low

  * Don't build vtecho_fp at all anymore.  Nobody should need it now, and the
    arch detection to avoid building it for amd64 was broken for cross builds.
    Closes: #651860, #651861

 -- Ron Lee <ron@debian.org>  Tue, 13 Dec 2011 16:48:10 +1030

vpb-driver (4.2.53-1) unstable; urgency=low

  * Added da.po, thanks to Joe Hansen.  Closes: #626629
  * Added pt_BR.po, thanks to Marco Juliano e Silva.  Closes: #648848
  * Updated config.{guess,sub}

 -- Ron Lee <ron@debian.org>  Tue, 22 Nov 2011 09:12:42 +1030

vpb-driver (4.2.52-2) unstable; urgency=low

  * Update cs.po, this time without broken character encoding.  Closes: #610137

 -- Ron Lee <ron@debian.org>  Sun, 16 Jan 2011 13:09:48 +1030

vpb-driver (4.2.52-1) unstable; urgency=low

  * Update for kernel 2.6.36, with one less user of the BKL.

 -- Ron Lee <ron@debian.org>  Thu, 02 Dec 2010 17:42:33 +1030

vpb-driver (4.2.51-1) unstable; urgency=low

  * Specify the vpbconf linker explicitly for shared builds too.
    binutils-gold chokes if we get this wrong.  Closes: #602305
  * Let the board initialisation throw cleanly if PRI support is not available.

 -- Ron Lee <ron@debian.org>  Thu, 04 Nov 2010 07:45:40 +1030

vpb-driver (4.2.49-1) unstable; urgency=low

  * Update for kernels through to 2.6.35

 -- Ron Lee <ron@debian.org>  Sat, 25 Sep 2010 04:16:19 +0930

vpb-driver (4.2.47-1) unstable; urgency=low

  * Added vi.po, thanks to Clytie Siddall.  Closes: #576149
  * Minor code springcleaning.
  * Explicitly ignore ISDN cards when configuring, the deps for them can't be
    included in the distro anyway, so just act like they don't exist when the
    postinst scans for hardware.  Closes: #584993

 -- Ron Lee <ron@debian.org>  Tue, 11 May 2010 23:13:37 +0930

vpb-driver (4.2.46-1) unstable; urgency=low

  * Blacklist the misdn netjet driver.  It blindly binds to anything using a
    TigerJet PCI interface chip, and rather than actually probing for the
    hardware it does support, seems to think it can somehow manually blacklist
    the 99.9% of things that use one and that aren't a netjet.  One Day.
    Currently it knows of only two of them, hardcoded into the driver source.
    I'd laugh if this wasn't such a gutwrenchingly spastic thing to myopically
    freeze into a mainline kernel release.

 -- Ron Lee <ron@debian.org>  Mon, 08 Mar 2010 21:04:09 +1030

vpb-driver (4.2.45-1) unstable; urgency=low

  * Support for OpenPCIe cards and firmware v15+.

 -- Ron Lee <ron@debian.org>  Wed, 24 Feb 2010 02:50:15 +1030

vpb-driver (4.2.44-1) unstable; urgency=low

  * Ensure the cardcount is always initialised, even with no config or cards.
    Things that link to libvpb and use it to probe for hardware can fall over
    badly otherwise.
  * Add a libvpb-dbg package.
  * Update for 2.6.33-rc1 moving linux/utsrelease.h again.

 -- Ron Lee <ron@debian.org>  Sat, 19 Dec 2009 05:00:30 +1030

vpb-driver (4.2.43-1) unstable; urgency=low

  * Shake just a little harder to drain the last bits out of an audio stream.
  * Ack the override change moving kernel module packages to section 'kernel'.
  * Link the utils explicitly with -pthread, the gold linker falls over and
    dies if we don't, even for the ones that don't actually use it 'directly'
    (but do have -pthread in CPPFLAGS for libvpb).  Closes: #556668
  * Template text l10n review updates.  Closes: #541770
  * Added cs.po, thanks to Martin Šín.  Closes: #553615, #542816
  * Added fi.po, thanks to Esko Arajärvi.  Closes: #553652, #545369
  * Added ja.po, thanks to Hideki Yamane.  Closes: #554517
  * Added eu.po, thanks to Piarres Beobide.  Closes: #554536
  * Added de.po, thanks to Helge Kreutzmann.  Closes: #554811, #543537
  * Added gl.po, thanks to Marce Villarino.  Closes: #554994
  * Added it.po, thanks to Luca Monducci.  Closes: #555113, #543515
  * Added fr.po, thanks to L.F. Templeton.  Closes: #555404
  * Added es.po, thanks to Francisco Javier Cuadrado.  Closes: #556036
  * Added ru.po, thanks to Yuri Kozlov.  Closes: #556191, #546340
  * Added pt.po, thanks to António Moreira & Miguel Figueiredo.
    Closes: #556292, #543495
  * Added sv.po, thanks to Martin Bagge.  Closes: #543409

 -- Ron Lee <ron@debian.org>  Sun, 01 Nov 2009 06:00:22 +1030

vpb-driver (4.2.42-1) unstable; urgency=low

  * Update for kernel 2.6.30 proc changes.
  * Use debconf to seed VpbConfigurator options, policy requires that now.

 -- Ron Lee <ron@debian.org>  Thu, 02 Jul 2009 16:08:45 +0930

vpb-driver (4.2.41-1) unstable; urgency=low

  * Fix an off-by-half glitch for people trying to reassign tone detector
    profiles after filling all available slots.

 -- Ron Lee <ron@debian.org>  Thu, 11 Jun 2009 09:32:12 +0930

vpb-driver (4.2.40-1) unstable; urgency=low

  * Fix gain setting in the dtmfcheck backport.
  * Add a missing include for INT_MAX that libstdc++ doesn't depend on anymore.

 -- Ron Lee <ron@debian.org>  Sun, 26 Apr 2009 23:45:36 +0930

vpb-driver (4.2.39-1) unstable; urgency=low

  * Make the DFT window() function private.  It should never have been public
    in the first place, and is reported to conflict with other code where it
    should not be public either.  There are no external users this will break.
  * Relax the version dependency for Debian packages using libvpb.  There have
    been no public interface changes since the first upload to the distro, and
    the strict versioning only hinders package transitions unnecessarily.

 -- Ron Lee <ron@debian.org>  Fri, 23 Jan 2009 16:53:07 +1030

vpb-driver (4.2.38.1-1) stable; urgency=low

  * Backport the cardcount initialisation fix from 4.2.44 for Lenny.

 -- Ron Lee <ron@debian.org>  Mon, 21 Dec 2009 03:23:30 +1030

vpb-driver (4.2.38-1) unstable; urgency=low

  * Fix some documentation glitches, update the doxygen config for 1.5.6
  * Add some additional options for non-interactive use of VpbConfigurator.

 -- Ron Lee <ron@debian.org>  Tue, 09 Dec 2008 20:46:33 +1030

vpb-driver (4.2.37-1) unstable; urgency=low

  * Update for gcc-4.4 trimming down its header dependencies again.
    Thanks to Martin Michlmayr for the early testing of this.  Closes: #505079
  * Support the extended loop-drop timing for OpenPCI firmware 15.

 -- Ron Lee <ron@debian.org>  Mon, 10 Nov 2008 10:15:11 +1030

vpb-driver (4.2.36-1) unstable; urgency=low

  * Fix the kernel modules for class_device_create vanishing in 2.6.26
    and device_create changing its signature again in 2.6.27
  * Fix vdaaerl to handle NTT caller id.
  * Backport changes to dtmfcheck for better analysing problem files.
  * Make the distclean target more robust.
  * All other changes are in the PRI codepath which is not enabled
    for the Debian packages.

 -- Ron Lee <ron@debian.org>  Thu, 04 Sep 2008 02:49:55 +0930

vpb-driver (4.2.32-1) unstable; urgency=low

  * Report on any errors when setting the vtcore hook state.
  * Fix a fencepost error the left tone id 9 out of bounds.

 -- Ron Lee <ron@debian.org>  Thu, 15 May 2008 22:51:32 +0930

vpb-driver (4.2.30-1) unstable; urgency=high

  * Update build-deps for the gratuitous-looking pciutils-dev rename.
    Closes: #478398
  * Urgency high because there are no perilous changes since the last upload
    and some other things with security fixes are currently waiting for this
    to hit testing.

 -- Ron Lee <ron@debian.org>  Sat, 03 May 2008 03:41:23 +0930

vpb-driver (4.2.28-1) unstable; urgency=low

  * Update the doc-base section for the new hierarchy.

 -- Ron Lee <ron@debian.org>  Wed, 16 Apr 2008 20:40:57 +0930

vpb-driver (4.2.27-1) unstable; urgency=low

  * Fix the static builds to not suck the lib-stamp into the link default rule.

 -- Ron Lee <ron@debian.org>  Fri, 21 Mar 2008 14:37:56 +1030

vpb-driver (4.2.26-1) unstable; urgency=low

  * Don't call exit() from the lib, we have exceptions for when things
    go exceptionally wrong.
  * Don't link executables directly to libpthread in shared lib builds
    when they don't use it explicitly.  Thanks buxy.

 -- Ron Lee <ron@debian.org>  Mon, 17 Mar 2008 16:23:02 +1030

vpb-driver (4.2.25-1) unstable; urgency=low

  * Fix for tonegen completion with multiple OpenLine cards.

 -- Ron Lee <ron@debian.org>  Wed, 12 Mar 2008 19:38:57 +1030

vpb-driver (4.2.24-1) unstable; urgency=low

  * Fixes call monitoring when multiple cards of different types are used.

 -- Ron Lee <ron@debian.org>  Fri, 01 Feb 2008 15:06:22 +1030

vpb-driver (4.2.23-1) unstable; urgency=low

  * Update for gcc-4.3.  Thanks to tbm for the heads-up.  Closes: #456048
  * Update for kernel 2.6.23, unregister_chrdev() has changed its signature.
  * Be explicit about bashisms in debian/rules.  Closes: #453640

 -- Ron Lee <ron@debian.org>  Sat, 15 Dec 2007 01:12:58 +1030

vpb-driver (4.2.22-2) unstable; urgency=low

  * Tidy up the debian/rules and don't try to build the indep files unless
    they are really requested.  Fixes binary only buildd builds.

 -- Ron Lee <ron@debian.org>  Sun, 21 Oct 2007 23:18:56 +0930

vpb-driver (4.2.22-1) unstable; urgency=low

  * Initial release (Closes: #376506)

 -- Ron Lee <ron@debian.org>  Sun,  2 Jul 2006 02:22:02 +0930

